# VehiclesPlus

*Realistic custom vehicles for your Minecraft server!*

[![Version](https://img.shields.io/spiget/version/70523?label=version)](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/)
[![Downloads](https://img.shields.io/spiget/downloads/70523)](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/)
[![Rating](https://img.shields.io/spiget/stars/70523?color=orange)](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/)

## Installation

**Supported Versions:** VehiclesPlus works on all Spigot/Paper versions from 1.12.x, **except 1.14.x**!

### 0. Check your Java version

VehiclesPlus requires **Java 11** or higher. Make sure your server is compatible with Java 11 or higher.

### 1. Download the latest version

Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).

Put the .jar file into the `/plugins` folder of your server.

### 2. Download the dependencies

> ## ❗ **VehiclesPlus requires additional dependencies** ❗<br>
> VehiclesPlus requires additional plugins to work correctly. The plugin __WON'T LOAD__ without them.

VehiclesPlus requires [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)) to work. Make sure you have them installed!

### 3. Download the example resourcepack

> ## ⚠ **VehiclesPlus requires a resourcepack!** ⚠<br>
> VehiclesPlus uses items to display the vehicles in your server. If you don't use the resourcepack, it's not possible to see the vehicles.

Download the correct example resourcepack for your Minecraft server. You can find [the correct version here](https://docs.sbdevelopment.tech/en/vehiclesplus/setup#resourcepack-download).

Install it into your Minecraft server ([follow the instructions](https://docs.sbdevelopment.tech/en/vehiclesplus/setup#using-our-example-pack-as-server-resourcepack)) or into your Minecraft client if you prefer to test it yourself.

> ### ⚠ **VehiclesPlus contains an EXAMPLE resourcepack!** ⚠<br>
> The plugin is designed to make it easy to create your own vehicles. We recommend making or buying your own vehicles to suit your server better.<br>
> If you want to buy one of the example vehicles included with the plugin, you can find them [here](https://polymart.org/team/sbdevelopment.93).

### 4. Restart your server

Restart your server using the Restart button. Do ***NOT*** reload, it will break the plugin!

### 5. Have fun!

The plugin is now installed into your Minecraft server! Have fun with testing the plugin and creating your own vehicles.

## Support

First check if [the Wiki](https://docs.sbdevelopment.tech/en/vehiclesplus/about) answers your question. Can't find the correct answer or need more help? You can contact us in [our Discord server](https://discord.gg/z26ZGrrFWB).

## License

Please be advised that the materials contained within this repository are subject to the terms and conditions of the Creative Commons Attribution-NoDerivatives 4.0 International License (CC BY-ND 4.0). We kindly request that you review the `LICENSE.md` file, which provides further details regarding the applicable license.

By accessing or utilizing any of the materials within this repository, you acknowledge and agree to comply with all of the terms and conditions of the applicable license.

### v3 example resourcepack models

Additionally, please note that the v3 models included in this repository have been created by MelchMwoan ([mkmodels.eu](https://polymart.org/user/melchmwoan.2244)) and are subject to specific limitations under the aforementioned license. Redistribution of these models is strictly prohibited without express written consent from the owner.

## Maven

You can find both the v2 and v3 API on our Maven repository.

```xml
<repository>
  <id>sbdevelopment-repo-releases</id>
  <name>SBDevelopment Repository</name>
  <url>https://repo.sbdevelopment.tech/releases</url>
</repository>

<!-- v2 Dependency -->
<dependency>
  <groupId>nl.sbdeveloper</groupId>
  <artifactId>VehiclesPlus-API</artifactId>
  <version>2.3.5</version>
  <scope>provided</scope>
</dependency>

<!-- V3 Dependency -->
<dependency>
  <groupId>nl.sbdeveloper</groupId>
  <artifactId>VehiclesPlus-API</artifactId>
  <version>3.0.0-SNAPSHOT</version>
  <scope>provided</scope>
</dependency>
```